# Протоколиране на речта (Speech Logger) #

### Протоколиране на речта в NVDA

* Автори: Luke Davis, със сътрудничеството на James Scholes
* Изтегляне на [стабилна версия][1]
* Съвместимост с NVDA: от 2019.3.1 и по-нови версии

Добавка за [NVDA][3] за протоколиране на реч във файл или файлове. Може да
протоколира речта, генерирана на локалната машина, в текстов файл. Може също
да протоколира реч от отдалечена машина, получена чрез добавката [NVDA
Remote][5], в същия или различен файл.

### Настройки

За да конфигурирате тази добавка, отворете менюто на NVDA, отидете на
"Настройки", след това "Опции", след това "Протоколиране на речта" (NVDA+N,
Н, О, след това натискайте П, докато стигнете до там, на стандартна
българска клавиатурна подредба). Има и неприсвоен жест в категорията
"Настройки" в прозореца "Жестове на въвеждане", който можете да присвоите и
използвате за бързо отваряне директно на настройките на
добавката. Забележка: Добавката може да бъде конфигурирана само докато е
активен профила "Обичайни настройки" на NVDA. Добавката не поддържа
конфигурационните профили на NVDA. Ако се сещате за някакъв случай на
употреба, който изисква тя да работи различно в различни профили, моля,
свържете се с автора или пуснете доклад в [хранилището в GitHub][2].

### Налични са следните настройки:

* Директорията за протоколните файлове: Можете да въведете или прегледате
  желаната от вас дестинационна директория, която вече трябва да
  съществува. В това поле могат да се използват системни променливи като
  %temp%, %userprofile% и т.н.
* Име за локален протоколен файл: Създаденият файл ще бъде поставен в
  директорията по-горе. Той ще съдържа речта, протоколирана, докато е
  включен режимът за локално протоколиране. То може да бъде същото като
  отдалечения протоколен файл. Оставете празно, за да изключите напълно този
  вид протоколиране.
* Име за отдалечен протоколен файл: Създаденият файл ще бъде поставен в
  директорията по-горе. Той ще съдържа речта, протоколирана, докато режимът
  за отдалечено протоколиране е включен. Може да бъде същият като локалния
  протоколен файл. Оставете празно, за да изключите напълно този вид
  протоколиране.
* Разделител: Това комбинирано поле ви позволява да изберете един от
  наличните разделители за фрази. Вижте по-долу за повече информация.
* Разделител по избор: Това поле ви позволява да въведете разделител по
  избор за фразите (вижте по-долу), който се използва, ако в комбинираното
  поле е избрано "по избор".
* Режим на времево клеймо: Този падащ списък ви позволява да избирате между
  липса на времево клеймо и времево клеймо в началото и края на всяка сесия
  на протокола.
* Протоколирай речта по време на режим на изчитане на всичко (четене до
  края): Тази добавка протоколира реч, генерирана, когато натиснете
  NVDA+Стрелка надолу (NVDA+A при лаптоп подредба). Ако предпочитате да не
  се протоколира този вид дълги речеви фрази, премахнете отметката от това
  квадратче.
* Започни протоколиране при стартиране: Можете да зададете тази опция на
  "Винаги", ако искате речта да бъде протоколирана автоматично при
  стартиране на NVDA. Това се отнася само за локалната реч и по подразбиране
  е зададено на "Никога".

#### Разделител за фразите

Когато NVDA изговаря нещо от сорта на "Кошче 1 от 55", докато чете вашия
работен плот, това се счита за две отделни фрази. Първата е името на
елемента (в този случай – "Кошче"), а второто – информацията за позицията на
обекта (в този случай – "1 от 55").

В зависимост от това какво четете и как сте конфигурирали NVDA, може да има
няколко отделни фрази, които са част от една обща речева последователност.

В нормалния протокол на NVDA на ниво за отстраняване на грешки, всяка
отделна фраза е разделена с два интервала, както е написано в примера
по-горе.

"Протоколиране на речта" ("Speech Logger") ви позволява да разделяте фразите
по същия начин, по който го прави NVDA (с два интервала), или чрез една от
няколкото разумни алтернативи (нов ред, запетая и интервал, табулация, две
долни черти), или чрез персонализирана последователност по ваш избор.

Ако например искате вашият разделител за фразите да бъде два знака за долар
("$$"), трябва да зададете комбинираното поле на "по избор" и да въведете
"$$" (без кавичките) в полето за разделител по избор. Ако искате да е нов
ред последван от табулация, можете да въведете "`\n\t`".

### Контроли:

Тази добавка има две клавишни комбинации, зададени по подразбиране и една
незададена.

Жестовете по подразбиране, които можете да промените в категорията "`Speech
Logger`" в диалоговия прозорец "Жестове на въвеждане" на NVDA, са следните:

* NVDA+Alt+L: Стартиране/спиране на протоколирането на локална реч.
* NVDA+Shift+Alt+L: Стартиране/спиране на протоколирането на отдалечена реч.

Те се показват там съответно като "Превключва протоколирането на локална
реч" и "Превключва протоколирането на отдалечена реч".

Освен това има един неприсвоен жест за отваряне на панела с настройките на
добавката, който можете да зададете от категорията `Speech Logger` в
прозореца "Жестове на въвеждане" на NVDA.

### Бележка относно отдалеченото протоколиране на реч

Тази добавка е предназначена да работи с добавката "NVDA Remote", за
протоколиране на отдалечена реч.

Важно е да знаете, че не е възможно да започнете протоколиране на отдалечена
сесия, докато действително не стартирате такава. Няма начин например да
започнете протоколиране и да го оставите на изчакване, докато започне
отдалечена сесия, и да започне да протоколира в този момент.

Въпреки това, след като започне, протоколирането ще продължи във всяка
следваща отдалечена сесия.

### Обратна връзка и заявки за нови функции

Ако искате да предложите функция или да докладвате проблем, моля, свържете
се по е-пощата или [подайте доклад][2].

Ако намирате тази добавка за полезна, наистина би било полезно, ако можете
да [дадете отзив][4].

Както винаги, ще се радвам да науча, дали моите добавки са полезни и за
какво ги използват хората.

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=speechLogger

[2]: https://github.com/opensourcesys/speechLogger/issues/new

[3]: https://nvaccess.org/

[4]: https://github.com/nvaccess/addon-datastore/discussions/2636

[5]: https://nvdaremote.com/
