# Speech Logger (Записувач мовлення) #

### NVDA Speech Logger add-on

* Автор: Luke Davis, за участю James Scholes
* Завантажити [стабільну версію][1]
* Сумісність з NVDA: 2019.3 і пізніші

An [NVDA][3] add-on to log speech to a file or files.  It can log speech
generated on the local machine into a text file.  It can also log speech
from a remote machine received through the [NVDA Remote][5] add-on, either
to the same or a different file.

### Конфігурація

Щоб налаштувати цей додаток, відкрийте меню NVDA, перейдіть до Параметрів,
потім до Налаштувань, потім «Записувач мовлення» (NVDA+N, П, Н, далі
натискайте З, допоки не дійдете до «Записувача мовлення».  У категорії
«Конфігурація» у «Жестах вводу» також є непризначений жест, який ви можете
призначити і використовувати для швидкого доступу до налаштувань додатка.
Примітка: додаток можна налаштувати, лише перебуваючи у профілі нормальної
конфігурації NVDA.  Додаток не працює з профілями.  Якщо ви можете придумати
якийсь варіант використання, який вимагає, щоб він працював по-різному у
різних профілях, будь ласка, зв'яжіться з автором або створіть проблему у
[репозиторії GitHub][2].

### Доступні такі налаштування:

* Каталог журналу. Ви можете ввести або обрати потрібний каталог, який уже
  існує. У цьому полі можна використовувати такі системні змінні, як %temp%,
  %userprofile% тощо.
* Ім'я файлу локального журналу. Створений файл буде розміщено у вказаному
  вище каталозі. Він міститиме мовлення, записане під час роботи локального
  режиму журналу. Це може бути те саме, що й віддалений файл
  журналу. Залиште поле порожнім, щоб повністю вимкнути цей вид запису.
* Ім'я файлу віддаленого журналу. Створений файл буде розміщено у вказаному
  вище каталозі. Він буде містити мовлення, зареєстроване під час
  віддаленого режиму журналу. Він може бути таким же, як локальний файл
  журналу. Залиште поле порожнім, щоб повністю вимкнути цей вид запису.
* Роздільник. У цьому комбінованому списку можна вибрати один із доступних
  роздільників мовлення. Дивіться нижче для отримання додаткової інформації.
* Спеціальний роздільник. У цьому полі можна ввести спеціальний роздільник
  мовлення (див. нижче), який використовується, якщо у списку вибрано
  «спеціальний».
* Режим часової мітки. Цей комбінований список дозволяє вам вибрати між
  відсутністю часових міток і часовою міткою на початку і в кінці кожного
  сеансу ведення журналу.
* Журналювати мовлення в режимі «Читати все» (читати до кінця). Цей додаток
  журналює мовлення, згенероване після натискання NVDA+стрілка вниз (NVDA+a
  в розкладці laptop). Якщо ви не бажаєте, щоб подібні прочитані довгі
  розповіді журналювалися, зніміть цей прапорець.
* Починати ведення журналу під час запуску. Ви можете встановити цей
  параметр на «Завжди», якщо хочете, щоб мовлення журналювалося автоматично,
  коли запускається NVDA. Це застосовується лише до локального мовлення й
  початково вибрано «Ніколи».

#### Роздільник фраз

Коли NVDA вимовляє щось на зразок «`кошик 1 із 55`» під час читання вашого
робочого столу, це вважається двома окремими фразами. Перша — це назва
елемента («`Кошик`», у цьому прикладі), а друга — інформація про
розташування об’єкта («`1 із 55`», у цьому прикладі).

Залежно від того, що ви читаєте та як у вас налаштована NVDA, під час однієї
послідовності мовлення може бути кілька окремих фраз.

У звичайному журналі NVDA на рівні налагодження кожна фраза відокремлюється
двома пробілами, як це написано у прикладі вище.

«Записувач мовлення» дозволяє розділяти фрази так само, як це робить NVDA
(двома пробілами), або за допомогою одного з кількох прийнятних варіантів
(новий рядок, кома та пробіл, два підкреслення), або за допомогою
спеціальної послідовності, яку ви самі придумаєте.

Якщо, наприклад, ви бажаєте, щоб ваш роздільник мовлення був двома знаками
долара (`$$`), ви маєте встановити поле зі списком на «Нестандартний» і
ввести «`$$`» (без лапок) у спеціальному полі роздільника. Якщо ви хочете,
щоб це був Tab, ви можете ввести "`\\t`".

### Controls:

This add-on has two keyboard shortcuts set by default, and one that is
unassigned.

The default gestures, which you can change in the NVDA Input Gestures
"`Speech Logger`" category, are:

* NVDA+Alt+L: почати/зупинити запис локального мовлення.
* NVDA+Shift+Alt+L: почати/зупинити запис віддаленого мовлення.

These are listed as "Toggles logging of local speech" and "Toggles logging
of remote speech", respectively.

Additionally, it has one unassigned gesture for opening its configuration
panel, which you may assign from the `Speech Logger` category in NVDA's
Input Gestures.

### Примітка щодо віддаленого запису мовлення

Цей додаток призначений для роботи з додатком NVDA Remote для запису
віддаленого мовлення.

Зверніть увагу, що неможливо розпочати запис віддалених сеансів, доки ви їх
фактично не запустите. Немає способу, наприклад, розпочати ведення журналу
та залишити його в режимі очікування, поки не почнеться віддалений сеанс, і
почати записування в цей час.

Однак після запуску записування продовжуватиметься протягом віддалених
сеансів.

### Зворотний зв'язок та запити щодо функцій

Якщо ви хочете запропонувати функцію чи повідомити про помилку, зв’яжіться
електронною поштою або надішліть [проблему][2].

If you find this add-on useful, it would really help if you could [leave a
review][4].

As always, I appreciate hearing that my add-ons are helpful, and finding out
what people are using them for.

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=speechLogger

[2]: https://github.com/opensourcesys/speechLogger/issues/new

[3]: https://nvaccess.org/

[4]: https://github.com/nvaccess/addon-datastore/discussions/2636

[5]: https://nvdaremote.com/
